function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_note"
end

function p.main()
    set_default_block("s")
end

function p.type_init(id)
    ia_block_new_var_s(id, "txt", "testing...")
end

function p.get_can_use(level, bp)
    return true
end

--The primary use function.
function p.on_use(level, bp)
    ga_create_i("temp.game.note.ent.level")
    ga_set_i("temp.game.note.ent.level", level)
    --
    ga_create_i("temp.game.note.ent.bp.x")
    ga_create_i("temp.game.note.ent.bp.y")
    ga_create_i("temp.game.note.ent.bp.z")
    ga_set_i("temp.game.note.ent.bp.x", bp.x)
    ga_set_i("temp.game.note.ent.bp.y", bp.y)
    ga_set_i("temp.game.note.ent.bp.z", bp.z)
    --
    ga_create_s("temp.game.note.text")
    local txt = ga_block_get_s(level, bp, "txt")
    ga_set_s("temp.game.note.text", txt)
    ga_window_push("win_note")
end

--The secondary use function.
function p.on_use2(level, bp)
    ga_window_push("win_msg_about_secondary_use")
end
